aveSpec {PROcess} | R Documentation

## Compute mean spectrum of a set of spectra

### Description

Compute mean spectrum of a set of spectra.

### Usage

    aveSpec(nVec)

### Arguments

`nVec` | A character vector of file names.

### Details

'aveSpec' computes the point-wise mean of intensities of a set of spectra over the whole range of the m/z values.

### Value

A matrix with 2 columns, the first being the m/z values and the 2nd being the average of intensities corresponding to the m/z value in the first column of the same row.

### Author(s)

Xiaochun Li

### Examples

    testfs <- dir(system.file("Test", package = "PROcess"),
            full.names=TRUE)
    testAve <- aveSpec(testfs)

[Package PROcess version 1.6.3 Index]